Name:          libXfont2
Version:       2.0.5
Release:       3
Summary:       X.Org X11 libXfont2 runtime library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
%ifarch sw_64
Patch1:        libXfont2-2.0.5-sw.patch
%endif

BuildRequires: autoconf automake libtool pkgconfig(fontsproto) freetype-devel
BuildRequires: xorg-x11-util-macros libfontenc-devel  xorg-x11-xtrans-devel

%description
libXfont provides the core of the legacy X11 font system, handling
the index files (fonts.dir, fonts.alias, fonts.scale), the various
font file formats, and rasterizing them. %{name} contains runtime 
library.

%package       devel
Summary:       Development files and Header files for %{name}
Requires:      %{name} = %{version}-%{release} libfontenc-devel

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
autoreconf -ivf
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure  
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)	
%doc AUTHORS ChangeLog
%license COPYING
%{_libdir}/libXfont2.so.*


%files  devel
%defattr(-,root,root)
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/libXfont2.so


%files  help
%defattr(-,root,root)
%doc README.md

%changelog
* Fri Nov 11 2022 wuzx<wuzx1226@qq.com> - 2.0.5-3
- Add sw64 architecture

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.0.5-2
- Rebuild for next release

* Sat Nov 27 2021 dongyuzhen <dongyuzhen@huawei.com> - 2.0.5-1
- update to 2.0.5

* Mon Jul 27 2020 chxssg<chxssg@qq.com> - 2.0.4-1
- update to 2.0.4

* Tue Sep 3 2019 openEuler Buildteam<buildteam@openeuler.org> - 2.0.3-4
- Package init

